pkgsrc-wip/frontpage/patches/patch-ad
Eric Schnoebelen 502384184b cat DESCR
2003-06-03 16:39:53 +00:00

49 lines
1.9 KiB
Text

$NetBSD: patch-ad,v 1.1.1.3 2003/06/03 16:39:53 schnoebe Exp $
--- version5.0/set_default_perms.sh.orig Mon Apr 16 07:40:26 2001
+++ version5.0/set_default_perms.sh
@@ -71,30 +71,30 @@ chmod u+w $FPDIR/bin/_vti_inf.htm || die
chmod u+w $FPDIR/bin/postinfo.htm || die chmod write perm on postinfo.htm
# The apache-fp directory tree should be owned by root, group bin
-chown -R root $FPDIR/apache-fp || die chown apache-fp
-chgrp -R bin $FPDIR/apache-fp || die chgrp apache-fp
+#chown -R root $FPDIR/apache-fp || die chown apache-fp
+#chgrp -R bin $FPDIR/apache-fp || die chgrp apache-fp
# Remove all write/execute permissions
-chmod -R ugo-wx,ugo+r $FPDIR/apache-fp
+#chmod -R ugo-wx,ugo+r $FPDIR/apache-fp
# The apache-fp fpexe stub needs to be suid root
-chmod 4755 $FPDIR/apache-fp/_vti_bin/fpexe || die set fpexe to be suid
+#chmod 4755 $FPDIR/apache-fp/_vti_bin/fpexe || die set fpexe to be suid
# Set httpd
-chmod 555 $FPDIR/apache-fp/httpd || die make httpd executable
+#chmod 555 $FPDIR/apache-fp/httpd || die make httpd executable
# The apache-fp directory should not be writable to protect the stub program.
-chmod 555 $FPDIR/apache-fp/_vti_bin || die restrict the apache-fp directory
+#chmod 555 $FPDIR/apache-fp/_vti_bin || die restrict the apache-fp directory
# The apache-fp directory should not be group/world readable or writable to
# protect the suidkey.pid files..
-chmod 711 $FPDIR/apache-fp || die restrict the apache-fp directory
+#chmod 711 $FPDIR/apache-fp || die restrict the apache-fp directory
# The suidkey files should all be completely close to group/world
-for i in $FPDIR/apache-fp/suidkey* ; do
- if [ -f "$i" ]
- then
- chmod 600 $i ||
- die remove rwx group/world permissions from the suidkey file $i
- fi
-done
+#for i in $FPDIR/apache-fp/suidkey* ; do
+# if [ -f "$i" ]
+# then
+# chmod 600 $i ||
+# die remove rwx group/world permissions from the suidkey file $i
+# fi
+#done